Get all invoices
https://api.propexo.com/v1/invoices/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the invoice
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| vendors/getInvoices |
742891The external ID of the property from the integration vendor
| Method |
|---|
| vendors/getInvoices |
889254The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for ENTRATA
nullThe external ID of the vendor from the integration vendor
| Method |
|---|
| vendors/getInvoices |
318472The external ID of the financial account from the integration vendor
This field will always be null for ENTRATA
nullThe external ID of the cash financial account from the integration vendor
This field will always be null for ENTRATA
nullThe external ID of the AP financial account from the integration vendor
This field will always be null for ENTRATA
nullThe amount due on the invoice, in cents
| Method |
|---|
| vendors/getInvoices |
3500The amount paid on the invoice, in cents
| Method |
|---|
| vendors/getInvoices |
3500custom_data object | nullrequired
The due date associated with the invoice
| Method |
|---|
| vendors/getInvoices |
2024-03-03T00:00:00.000ZThe deposit amount in cents associated with the invoice
| Method |
|---|
| vendors/getInvoices |
500The date a discount was issued on invoice
This field will always be null for ENTRATA
nullThe date the invoice was issued
| Method |
|---|
| vendors/getInvoices |
2024-03-03T00:00:00.000ZThe reference number for the invoice
| Method |
|---|
| vendors/getInvoices |
INV-1234Notes associated with the invoice
| Method |
|---|
| vendors/getInvoices |
This is a noteThe date the invoice was posted. Some PMS systems only show the month.
| Method |
|---|
| vendors/getInvoices |
2024-03-03T00:00:00.000ZThe month the invoice was posted.
| Method |
|---|
| vendors/getInvoices |
2024-03-03T00:00:00.000ZThe raw post status associated with the invoice
| Method |
|---|
| vendors/getInvoices |
PostedThe sub total amount of the invoice
| Method |
|---|
| vendors/getInvoices |
3000The amount of the invoice, in cents
| Method |
|---|
| vendors/getInvoices |
3500The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the cash financial account
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the ap financial account
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAinvoice_items object[]required
The invoice list items associated with the invoice
The external ID from the integration vendor
| Method |
|---|
| vendors/getInvoices |
986235The external ID of the property from the integration vendor
| Method |
|---|
| vendors/getInvoices |
889254The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for ENTRATA
nullThe external ID of the financial account from the integration vendor
| Method |
|---|
| vendors/getInvoices |
235226The external ID of the cash financial account from the integration vendor
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the invoice
| Method |
|---|
| vendors/getInvoices |
clxkr6spo0006t7ozhc0keba8The Propexo unique identifier for the construction job
This field will always be null for ENTRATA
nullThe amount due on the invoice item, in cents
| Method |
|---|
| vendors/getInvoices |
2500Notes associated with the invoice item
| Method |
|---|
| vendors/getInvoices |
This is a noteThe amount of the invoice item, in cents
| Method |
|---|
| vendors/getInvoices |
2500The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
| Method |
|---|
| vendors/getInvoices |
cme02s5xx454647512saocg1tpazamThe Propexo unique identifier for the cash financial account
This field will always be null for ENTRATA
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/invoices/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "742891",
"x_property_id": "889254",
"x_location_id": null,
"x_vendor_id": "318472",
"x_financial_account_id": null,
"x_cash_financial_account_id": null,
"x_ap_financial_account_id": null,
"amount_due_in_cents": 3500,
"amount_paid_in_cents": 3500,
"custom_data": "Unknown Type: object,null",
"due_date": "2024-03-03T00:00:00.000Z",
"discount_amount_in_cents": 500,
"discount_date": null,
"invoice_date": "2024-03-03T00:00:00.000Z",
"invoice_number": "INV-1234",
"notes": "This is a note",
"post_date": "2024-03-03T00:00:00.000Z",
"post_month": "2024-03-03T00:00:00.000Z",
"post_status_raw": "Posted",
"sub_total_amount_in_cents": 3000,
"total_amount_in_cents": 3500,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": null,
"ap_financial_account_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"invoice_items": [
{
"x_id": "986235",
"x_property_id": "889254",
"x_location_id": null,
"x_gl_account_id": "235226",
"x_cash_financial_account_id": null,
"invoice_id": "clxkr6spo0006t7ozhc0keba8",
"construction_job_id": null,
"amount_due_in_cents": 2500,
"notes": "This is a note",
"total_amount_in_cents": 2500,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cme02s5xx454647512saocg1tpazam",
"cash_financial_account_id": null
}
]
}
]
}